Schedules
Update schedule
Change time, destination, recurrence or status.
PATCH
/schedules/{id}schedules:writeRequest
idstring · pathResource identifier.mandatorytypestring · bodyType: offer or text.optionalatstring · bodyISO 8601 date and time.optionalsegment_idstring · bodyTarget segment.optionalgroup_idstring · bodySpecific group.optionaloffer_idstring · bodyScheduled offer.optionaltextstring · bodyText for textual scheduling.optionalimagestring · bodyOptional image.optionalrecurrencestring · bodyRecurrence rule.optionalactiveboolean · bodyActivates scheduling.optionalExample
curl
curl -X PATCH 'https://achadu.com/api/v1/schedules/resource_id' \
+ -H 'Authorization: Bearer ach_live_...' \
+ -H 'Accept: application/json' \
+ -H 'Content-Type: application/json' \
+ --data '{
"type": "string",
"at": "2026-09-01T15:00:00Z",
"segment_id": "string"
}'Answer
200Operation completed4xxError with code, message and request_id